### A free/open-source library for quantitative finance

Classes
ql/math/optimization/linesearch.hpp File Reference

Line search abstract class. More...

`#include <ql/math/array.hpp>`
`#include <ql/math/optimization/endcriteria.hpp>`
Include dependency graph for linesearch.hpp:

## Classes

class | LineSearch
| Base class for line search. More...

## Detailed Description

Line search abstract class.